import { FontVariants, FontWeights } from '../font/types';

export interface PaginationTheme {
    /** The font variant */
    fontVariant: FontVariants;
    /** Theme for page number button */
    pageNumber: {
        color: {
            default: string;
            hovered: string;
            pressed: string;
            active: string;
        };
        bgColor: {
            default: string;
            hovered: string;
            pressed: string;
            active: string;
        };
        fontWeight: {
            default: FontWeights;
            selected: FontWeights;
        };
        borderRadius: string;
    };
    /** Theme for page navigation arrows */
    pageNav: {
        color: {
            default: string;
            hovered: string;
            pressed: string;
            disabled?: string;
        };
        bgColor: {
            default: string;
            hovered: string;
            pressed: string;
            disabled?: string;
        };
    };
    /** Theme for page number in popup */
    overlayPageNumber: {
        color: {
            default: string;
            hovered: string;
            pressed: string;
            active?: string;
        };
        bgColor: {
            default: string;
            hovered: string;
            pressed: string;
            active?: string;
        };
    };
}
